Removes a directory

- « ftp_rename

- ftp_set_option »

- PHP Manual
- FTP Functions
- Removes a directory

# ftp_rmdir

(PHP 4, PHP 5, PHP 7, PHP 8)

ftp_rmdir — Removes a directory

### Description

ftp_rmdir(FTP\Connection `$ftp`, string `$directory`): bool

Removes the specified `directory` on the FTP server.

### Parameters

`ftp`

  An FTP\Connection instance.

`directory`

  The directory to delete. This must be either an absolute or relative path to an empty directory.

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.1.0 | The `ftp` parameter expects an FTP\Connection instance now; previously, a resource was expected.

### Examples

Example #1 ftp_rmdir() example

    <?php$dir = 'www/';// set up basic connection$ftp = ftp_connect($ftp_server);// login with username and password$login_result = ftp_login($ftp, $ftp_user_name, $ftp_user_pass);// try to delete the directory $dirif (ftp_rmdir($ftp, $dir)) {    echo "Successfully deleted $dir\n";} else {    echo "There was a problem while deleting $dir\n";}ftp_close($ftp);?>

### See Also

- ftp_mkdir() - Creates a directory